We're Hiring!

Mattermost, Inc.

Latest stable/mattermost-team-edition failing with "validation error"

Summary

Running helm install stable/mattermost-team-edition fails with "Error: validation failed: unable to recognize “”: no matches for kind “Deployment” in version “extensions/v1beta1"”

Steps to reproduce

Run helm install stable/mattermost-team-edition with latest chart available

Expected behavior

Successfully run and deploy a mattermost instance

Observed behavior

ubuntu@proxy-k8s:~ kubectl version Client Version: version.Info{Major:"1", Minor:"17", GitVersion:"v1.17.7", GitCommit:"b4455102ef392bf7d594ef96b97a4caa79d729d9", GitTreeState:"clean", BuildDate:"2020-06-17T11:39:47Z", GoVersion:"go1.13.9", Compiler:"gc", Platform:"linux/amd64"} Server Version: version.Info{Major:"1", Minor:"17", GitVersion:"v1.17.9+IKS", GitCommit:"dbe4e8a5c169e0a6a8a9b7b183561fa61e161985", GitTreeState:"clean", BuildDate:"2020-07-16T01:30:57Z", GoVersion:"go1.13.9", Compiler:"gc", Platform:"linux/amd64"} ubuntu@proxy-k8s:~ helm version
Client: &version.Version{SemVer:“v2.16.9”, GitCommit:“8ad7037828e5a0fca1009dabe290130da6368e39”, GitTreeState:“clean”}
Server: &version.Version{SemVer:“v2.16.9”, GitCommit:“8ad7037828e5a0fca1009dabe290130da6368e39”, GitTreeState:“clean”}

Hello, @vkmc

I checked this internally with the team and they confirmed that we already fix that, the user might want to update the repository to get the latest chart.

So, I would recommend you to update the repository to get the latest chart. Let me know how it goes on your end.

1 Like